/*
 * File-change notification.
 *
 * ----------------------------------------------------------------
 *
 * @begin[license]
 * Copyright (C) 2004 Jason Hickey, Caltech
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Author: Jason Hickey
 * @email{jyh@cs.caltech.edu}
 * @end[license]
 */
#include <stdio.h>
#include <caml/mlvalues.h>
#include <caml/alloc.h>
#include <caml/memory.h>
#include <caml/fail.h>
#include <caml/custom.h>

/*
 * Custom blocks.
 */
static void abstract_serialize(value v, unsigned long *size32, unsigned long *size64)
{
    *size32 = 0;
    *size64 = 0;
}

static unsigned long abstract_deserialize(void *dst)
{
    return 0;
}

/*
 * Pass info in a custom block.
 */
static struct custom_operations abstract_ops = {
    "omake_abstract",
    NULL,
    custom_compare_default,
    custom_hash_default,
    abstract_serialize,
    abstract_deserialize
};

/*
 * Open the FAM connection.
 */
value nocompare_create(value v_unit)
{
    return alloc_custom(&abstract_ops, 0, 0, 1);
}
